package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 问询回答
 * @TableName vp_ask_answer
 */
@TableName(value ="vp_ask_answer")
@Data
public class AskAnswer implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 问询意图ID
     */
    private String intentId;

    /**
     * 回答
     */
    private String answer;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}