package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 辅助检查项目配置表
 * @TableName vp_config_ancillary_item
 */
@TableName(value ="vp_config_ancillary_item")
@Data
public class ConfigAncillaryItem implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 类别
     */
    private String itemClass;

    /**
     * 检查名称
     */
    private String itemName;

    /**
     * 该项检查描述信息
     */
    private String info;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}